Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface Principal

All Known Subinterfaces:
  Group

All Known Implementing Classes:
  Identity

public interface Principal

This interface represents the abstract notion of a principal, which can be used to represent any entity, such as an individual, a corporation, and a login id.

See Also:
  `X509Certificate`

Method Summary
`boolean` | `equals(Object another)` Compares this principal to the specified object.
`String` | `getName()` Returns the name of this principal.
`int` | `hashCode()` Returns a hashcode for this principal.
`String` | `toString()` Returns a string representation of this principal.

Method Detail

### equals

    public boolean equals(Object another)

  Compares this principal to the specified object. Returns true if the object passed in matches the principal represented by the implementation of this interface.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `another` - principal to compare with.
  Returns:
    true if the principal passed in is the same as that encapsulated by this principal, and false otherwise.

### toString

    public String toString()

  Returns a string representation of this principal.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this principal.

### hashCode

    public int hashCode()

  Returns a hashcode for this principal.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hashcode for this principal.

### getName

    public String getName()

  Returns the name of this principal.
  Returns:
    the name of this principal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >